明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 13850|回复: 60

功能强大的序号程序

  [复制链接]
发表于 2009-7-27 08:17:00 | 显示全部楼层 |阅读模式
转贴一个功能强大的序号程序,那位大侠修正完善?
  1. ;;
  2. (vl-load-com)
  3. ;;(arx)
  4. (defun &GetEntDxf (ent_name code / ent vla_name result)
  5.   (if (and ent_name code)
  6.     (progn
  7.       (setq result nil)
  8.       (setq vla_name (vlax-ename->vla-object ent_name))
  9.       (cond ((= code 62)
  10.          (setq result (vlax-get-property vla_name 'color))
  11.         )
  12.         ((= code 6)
  13.          (setq result (vlax-get-property vla_name 'linetype))
  14.         )
  15.         ((= code 48)
  16.          (setq result (vlax-get-property vla_name 'linetypescale))
  17.         )
  18.         (T
  19.          (progn
  20.            (setq ent (entget ent_name))
  21.            (setq result (cdr (assoc code ent)))
  22.          )
  23.         )
  24.       )
  25.     )
  26.     nil
  27.   )
  28.   result
  29. )
  30. ;;
  31. (defun &SortSs_X (ss /)
  32.   (&SortSs ss 1)
  33. )
  34. (defun &SortSs_X2 (ss /)
  35.   (&SortSs ss 2)
  36. )
  37. (defun &SortSs_Y (ss /)
  38.   (&SortSs ss 3)
  39. )
  40. (defun &SortSs_Y2 (ss /)
  41.   (&SortSs ss 4)
  42. )
  43. (defun &SortSs (ss ii / i ii pts ss ss1 index)
  44.   (setq ss ss)
  45.   (setq ii ii)
  46.   (if (and ss
  47.        (> (sslength ss) 1)
  48.       )
  49.     (progn
  50.       (setq i 0)
  51.       (setq pts nil)
  52.       (repeat (sslength ss)
  53.     (setq pts (cons (&GetEntDxf (ssname ss i) 10) pts))
  54.     (setq i (+ i 1))
  55.       )
  56.       (setq pts    (reverse pts)
  57.         ss1    (ssadd)
  58.       )
  59.       (cond
  60.     ((= ii 1) (setq index (&SortX_Index pts)))
  61.     ((= ii 2) (setq index (&SortX2_Index pts)))
  62.     ((= ii 3) (setq index (&SortY_Index pts)))
  63.     ((= ii 4) (setq index (&SortY2_Index pts)))
  64.       )
  65.       (setq i 0)
  66.       (repeat (sslength ss)
  67.     (setq ss1 (ssadd (ssname ss (nth i index)) ss1))
  68.     (setq i (+ i 1))
  69.       )
  70.       (setq i 0)
  71.       (setq pts nil)
  72.       (repeat (sslength ss1)
  73.     (setq pts (cons (&GetEntDxf (ssname ss1 i) 10) pts))
  74.     (setq i (+ i 1))
  75.       )
  76.     )
  77.   )
  78.   (list ss1 (reverse pts))
  79. )
  80. ;;
  81. ;;;(&SortX_Index '((1 3) (2 5) (3 1)(4 6)))               
  82. (defun &SortX_Index (lst / lst e1 e2)
  83.   (setq lst lst)
  84.   (setq    lst (vl-sort-i lst
  85.                (function
  86.              (lambda (e1 e2)
  87.                (< (car e1) (car e2))
  88.              )
  89.                )
  90.         )
  91.   )
  92. )
  93. ;;;(&SortX2_Index '((1 3) (2 5) (3 1)(4 6)))
  94. (defun &SortX2_Index (lst / lst e1 e2)
  95.   (setq lst lst)
  96.   (setq    lst (vl-sort-i lst
  97.                (function
  98.              (lambda (e1 e2)
  99.                (> (car e1) (car e2))
  100.              )
  101.                )
  102.         )
  103.   )
  104. )
  105. ;;;(&SortY_Index '((1 4) (1 2) (1 3)(1 1)))
  106. (defun &SortY_Index (lst / lst e1 e2)
  107.   (setq lst lst)
  108.   (setq    lst (vl-sort-i lst
  109.                (function
  110.              (lambda (e1 e2)
  111.                (< (cadr e1) (cadr e2))
  112.              )
  113.                )
  114.         )
  115.   )
  116. )
  117. ;;;(&SortY2_Index '((1 4) (1 2) (1 3)(1 1)))
  118. (defun &SortY2_Index (lst / lst e1 e2)
  119.   (setq lst lst)
  120.   (setq    lst (vl-sort-i lst
  121.                (function
  122.              (lambda (e1 e2)
  123.                (> (cadr e1) (cadr e2))
  124.              )
  125.                )
  126.         )
  127.   )
  128. )
  129. ;;
  130. (defun &SsNameList (ss / n lst)
  131.   (if (= 'PICKSET (type ss))
  132.     (repeat (setq n (sslength ss))
  133.       (setq n    (1- n)
  134.         lst    (cons (ssname ss n) lst)
  135.       )
  136.     )
  137.   )
  138. )
  139. ;;
  140. (defun &EntMod (ent_name   dxf_lst    /         i        ent
  141.         num       input1     input2     color        linetype
  142.         linetypescale
  143.            )
  144.   (if (and
  145.     ent_name
  146.     (setq ent (entget ent_name))
  147.     (> (setq num (/ (length dxf_lst) 2)) 0)
  148.       )
  149.     (progn
  150.       (setq i 0)
  151.       (repeat num
  152.     (setq input1 (nth (* i 2) dxf_lst))
  153.     (setq input2 (nth (+ (* i 2) 1) dxf_lst))
  154.     (cond
  155.       ((= input1 62)
  156.        (vlax-put-property
  157.          (vlax-ename->vla-object ent_name)
  158.          'color
  159.          input2
  160.        )
  161.       )
  162.       ((= input1 6)
  163.        (vlax-put-property
  164.          (vlax-ename->vla-object ent_name)
  165.          'linetype
  166.          input2
  167.        )
  168.       )
  169.       ((= input1 48)
  170.        (vlax-put-property
  171.          (vlax-ename->vla-object ent_name)
  172.          'linetypescale
  173.          input2
  174.        )
  175.       )
  176.       ((and (/= input1 62) (/= input1 6) (/= input1 48))
  177.        (progn
  178.          (setq
  179.            ent (subst (cons input1 input2) (assoc input1 ent) ent)
  180.          )
  181.          (setq ent (entmod ent))
  182.        )
  183.       )
  184.     )
  185.     (setq i (+ i 1))
  186.       )
  187.       (cdr (assoc -1 ent))
  188.     )
  189.     nil
  190.   )
  191. )
  192. ;;
  193. (defun &Begin (SysVarLst / x y)
  194.   (Defun *Error* (St)
  195.     (If    (/= St "函数已取消")
  196.       (Princ "\n**函数已取消**")
  197.     )
  198.     (&End)
  199.     (Princ)
  200.   )
  201.   (vla-startundomark
  202.     (vla-get-activedocument (vlax-get-acad-object))
  203.   )
  204.   (if (/= (length SysVarLst) 0)
  205.     (setq *OriSysVars*
  206.        (mapcar
  207.          '(lambda (x / y)
  208.         (if (= (type x) 'LIST)
  209.           (setq y (list (car x) (getvar (car x))))
  210.           (setq y (list x (getvar x)))
  211.         )
  212.         (if (/= (type x) 'STR)
  213.           (eval (cons 'setvar x))
  214.         )
  215.         y
  216.           )
  217.          SysVarLst
  218.        )
  219.     )
  220.   )
  221.   (setq    &error    *error*
  222.     *error*    &error
  223.   )
  224.   (princ)
  225. )
  226. (Defun &End ()
  227.   (If *Orisysvars*
  228.     (Mapcar '(Lambda (X)
  229.            (Eval (Cons 'Setvar X))
  230.          )
  231.         *Orisysvars*
  232.     )
  233.   )
  234.   (Vla-Endundomark
  235.     (Vla-Get-Activedocument (Vlax-Get-Acad-Object))
  236.   )
  237.   (Setq *Error* &Error)
  238.   (Setq    *Orisysvars*
  239.      Nil
  240.     &Error Nil
  241.   )
  242.   (Princ)
  243. )
  244. ;;
  245. (defun &ListTable (s / d r)
  246.   (while (setq d (tblnext s (null d)))
  247.     (setq r (cons (cdr (assoc 2 d)) r))
  248.   )
  249.   (vl-remove 'nil (acad_strlsort (reverse r)))
  250. )
  251. ;;
  252. (defun &PutVarible (Varible Varible_Save Val_default)
  253.   (if (null Varible_Save)
  254.     (setq Varible Val_default)
  255.     (setq Varible Varible_Save)
  256.   )
  257. )
  258. ;;
  259. (defun &TileEnable (clist)
  260.   (mapcar
  261.     '(lambda (x)
  262.        (mode_tile x 0)
  263.      )
  264.     clist
  265.   )
  266. )
  267. ;;禁用按钮            
  268. ;;clist 按钮关键字列表
  269. (defun &TileDisable (clist)
  270.   (mapcar
  271.     '(lambda (x)
  272.        (mode_tile x 1)
  273.      )
  274.     clist
  275.   )
  276. )
  277. ;;
  278. ;|;(If (Member "acetutil.arx" (Arx))
  279.   (setq Acetutil_loaded T)
  280.   (If (Findfile "Acetutil.Arx")
  281.     (if    (Arxload "Acetutil.Arx")
  282.       (setq Acetutil_loaded T)
  283.       (setq Acetutil_loaded nil)
  284.     )
  285.     (setq Acetutil_loaded nil)
  286.   )
  287. );|;
  288. ;;
  289. (defun c:AutoNum (/        Dcl_Id          Do_What
  290.           List_Sort    Style_Cur     List_Style
  291.           Index_Style    Edit_Type     Prefix
  292.           Start_Num    Suffix          Inc_Num
  293.           Index_Sort    Judge_Replace Pt_Screen
  294.           Txt_Height    Sort_Type
  295.          )
  296.   (Defun Edit_Write
  297.      (/ Ss I Ss_List N Txt_Ori Txt_Num Txt_New Pt1 Pt Ent_Txt)
  298.     ;;编辑模式
  299.     (If    (= Edit_Type 1)
  300.       (Progn
  301.     (If (And (Setq Ss (Ssget '((0 . "TEXT"))))
  302.          (Setq I -1)
  303.         )
  304.       (Progn
  305.         (Cond ((= Index_Sort "0") (Setq Ss (Car (&SortSs_Y2 Ss))))
  306.           ((= Index_Sort "2") (Setq Ss (Car (&SortSs_X Ss))))
  307.           ((= Index_Sort "1") (Setq Ss (Car (&SortSs_Y Ss))))
  308.           ((= Index_Sort "3") (Setq Ss (Car (&SortSs_X2 Ss))))
  309.         )
  310.         (Setq Ss_List (&SsNameList Ss))
  311.         (Foreach N Ss_List
  312.           (Progn
  313.         (Setq Txt_Ori (&GetEntDxf N 1)
  314.               Txt_Num (Itoa (+ (Atoi Start_Num)
  315.                        (* (Setq I (1+ I)) (Atoi Inc_Num))
  316.                     )
  317.                   )
  318.         )
  319.         (If (= Start_Num "")
  320.           (Setq Txt_Num "")
  321.         )
  322.         (Cond
  323.           ((= Judge_Replace "0")
  324.            (Setq Txt_New (Strcat Prefix Txt_Num Txt_Ori Suffix))
  325.           )
  326.           ((= Judge_Replace "1")
  327.            (Setq Txt_New (Strcat Prefix Txt_Num Suffix))
  328.           )
  329.         )
  330.         (&EntMod N (List 1 Txt_New))
  331.           )
  332.         )
  333.         (redraw)
  334.       )
  335.     )
  336.       )
  337.     )
  338.     ;;书写模式
  339.     (If    (= Edit_Type 2)
  340.       (Progn
  341.     (Setq I -1)
  342.     (while (setq pt (getpoint "\n点取文字插入点[退出]"))
  343.       (Setq
  344.         Txt_Num
  345.          (Itoa (+ (Atoi Start_Num)
  346.               (* (Setq I (1+ I)) (Atoi Inc_Num))
  347.            )
  348.          )
  349.       )
  350.       (If (= Start_Num "")
  351.         (Setq Txt_Num "")
  352.       )
  353.       (Setq Txt_New (Strcat Prefix Txt_Num Suffix))
  354.       (Vl-Cmdf "Text" "S" Txt_Style pt Txt_Height 0 Txt_New)
  355.     )
  356.     ;|;(if Acetutil_loaded
  357.       (progn
  358.         (Setq Pt1 (Car (&GetScreenPts)))
  359.         (Setq I -1)
  360.         (While
  361.           (And
  362.         (Progn (Setq
  363.              Txt_Num
  364.               (Itoa    (+ (Atoi Start_Num)
  365.                    (* (Setq I (1+ I)) (Atoi Inc_Num))
  366.                 )
  367.               )
  368.                )
  369.                (If (= Start_Num "")
  370.              (Setq Txt_Num "")
  371.                )
  372.                (Setq Txt_New (Strcat Prefix Txt_Num Suffix))
  373.         )
  374.         (Progn
  375.           (Vl-Cmdf "Text" "S" Txt_Style    Pt1 Txt_Height 0 Txt_New)
  376.           (Setq    Ent_Txt    (Entlast)
  377.             Ss    (Ssadd)
  378.             Ss    (Ssadd Ent_Txt Ss)
  379.           )
  380.           (&Redraw_Ss Ss 2)
  381.         )
  382.         (Setq Pt (Acet-Ss-Drag-Move Ss Pt1 "\n插入位置:"))
  383.           )
  384.            (Command ".Move" Ss "" Pt1 Pt)
  385.         )
  386.         (If    (And SS (Null Pt))
  387.           (&Erase_Ss Ss)
  388.         )
  389.       );|;
  390.       )
  391.     )
  392.   )
  393.   ;;Main
  394.   (&Begin '(("Cmdecho" 0)("Orthomode" 0)))
  395.   (Setq Dcl_Id (Load_Dialog "AutoNum.Dcl"))
  396.   (Setq Do_What 2)
  397.   (Setq List_Sort '("上 => 下" "上 <= 下" "左 => 右" "左 <= 右"))
  398.   (Setq    Style_Cur   (Getvar "TEXTSTYLE")
  399.     List_Style  (&ListTable "STYLE")
  400.     Index_Style (Itoa (Vl-Position Style_Cur List_Style))
  401.     Txt_Style   (Nth (Atoi Index_Style) List_Style)
  402.   )
  403.   (Setq    Edit_Type     (&PutVarible Edit_Type AutoNum_Edit_Type_Save 1)
  404.     Prefix          (&PutVarible Prefix AutoNum_Prefix_Save "No.")
  405.     Start_Num     (&PutVarible Start_Num AutoNum_Start_Num_Save "1")
  406.     Suffix          (&PutVarible Suffix AutoNum_Suffix_Save "")
  407.     Inc_Num          (&PutVarible Inc_Num AutoNum_Inc_Num_Save "1")
  408.     Index_Sort    (&PutVarible Index_Sort AutoNum_Index_Sort_Save "0")
  409.     Judge_Replace (&PutVarible
  410.             Judge_Replace
  411.             AutoNum_Judge_Replace_Save
  412.             "0"
  413.               )
  414.     Pt_Screen     (&Putvarible
  415.             Pt_Screen
  416.             AutoNum_Pt_Screen_Save
  417.             (List 500 600)
  418.               )
  419.     Txt_Height    (&PutVarible
  420.             Txt_Height
  421.             AutoNum_Txt_Height_Save
  422.             (Rtos (Getvar "TEXTSIZE") 2 2)
  423.               )
  424.   )
  425.   ;;(Setq Prefix "No.")
  426.   (Setq Sort_Type (Nth (Atoi Index_Sort) List_Sort))
  427.   (Vl-Cmdf "Undo" "Be")
  428.   (While (= Do_What 2)
  429.     (Progn
  430.       (If (Not (New_Dialog "AutoNum" Dcl_Id "" Pt_Screen))
  431.     (Exit)
  432.       )
  433.       ;;初始化
  434.       (Start_List "Sort_Type")
  435.       (Mapcar 'Add_List List_Sort)
  436.       (End_List)
  437.       (Start_List "Style")
  438.       (Mapcar 'Add_List List_Style)
  439.       (End_List)
  440.       (Set_Tile "Prefix" Prefix)
  441.       (Set_Tile "Start_No" Start_Num)
  442.       (Set_Tile "Suffix" Suffix)
  443.       (Set_Tile "Inc" Inc_Num)
  444.       (Set_Tile "Sort_Type" Index_Sort)
  445.       (Set_Tile "Replace" Judge_Replace)
  446.       (Set_Tile "Height" Txt_Height)
  447.       (Set_Tile "Style" Index_Style)
  448.       (cond ((= Edit_Type 1)
  449.          (Progn (Set_Tile "Edit_Mode" "1")
  450.             (Set_Tile "Write_Mode" "0")
  451.             ;;(Setq Prefix "No.")
  452.             (Set_Tile "Prefix" Prefix)
  453.             (&TileEnable '("Sort_Type" "Replace"))
  454.             (&TileDisable '("Height" "Style"))
  455.          )
  456.         )
  457.         ((= Edit_Type 2)
  458.          (Progn (Set_Tile "Edit_Mode" "0")
  459.             (Set_Tile "Write_Mode" "1")
  460.             ;;(Setq Prefix "KL-")
  461.             (Set_Tile "Prefix" Prefix)
  462.             (&TileEnable '("Height" "Style"))
  463.             (&TileDisable '("Sort_Type" "Replace"))
  464.          )
  465.         )
  466.       )
  467.       ;;定义动作
  468.       (Action_Tile "Prefix" "(Setq Prefix $Value)")
  469.       (Action_Tile "Start_No" "(Setq Start_Num $Value)")
  470.       (Action_Tile "Suffix" "(Setq Suffix $Value)")
  471.       (Action_Tile "Inc" "(Setq Inc_Num $Value)")
  472.       (Action_Tile
  473.     "Sort_Type"
  474.     "(Setq Index_Sort $Value)
  475.     (Setq Sort_Type (Nth (Atoi Index_Sort) List_Sort))"
  476.       )
  477.       (Action_Tile "Replace" "(Setq Judge_Replace $Value)")
  478.       (Action_Tile
  479.     "Edit_Mode"
  480.     "(Setq Edit_Type 1)
  481.     (Set_Tile "Prefix" Prefix)
  482.         (Set_Tile "Edit_Mode" "1")
  483.         (Set_Tile "Write_Mode" "0")
  484.         (&TileEnable '("Sort_Type" "Replace"))
  485.     (&TileDisable '("Height" "Style"))"
  486.       )
  487.       (Action_Tile
  488.     "Write_Mode"
  489.     "(Setq Edit_Type 2)
  490.     (Set_Tile "Prefix" Prefix)
  491.         (Set_Tile "Edit_Mode" "0")
  492.         (Set_Tile "Write_Mode" "1")
  493.         (&TileDisable '("Sort_Type" "Replace"))
  494.     (&TileEnable '("Height" "Style"))"
  495.       )
  496.       (Action_Tile "Height" "(Setq Txt_Height $Value)")
  497.       (Action_Tile
  498.     "Style"
  499.     "(Setq Index_Style $Value)
  500.     (Setq Txt_Style (Nth (Atoi Index_Style) List_Style))"
  501.       )
  502.       (Action_Tile "accept" "(Setq Pt_Screen (Done_Dialog 2))")
  503.       (Action_Tile "cancel" "(Done_Dialog 0)")
  504.       (Setq Do_What (Start_Dialog))
  505.       (If (= Do_What 2)
  506.     (Edit_Write)
  507.       )
  508.     )
  509.   )
  510.   (Unload_Dialog Dcl_Id)
  511.   (Vl-Cmdf "Undo" "E")
  512.   (Setq    AutoNum_Edit_Type_Save
  513.      Edit_Type
  514.     AutoNum_Prefix_Save
  515.      Prefix
  516.     AutoNum_Start_Num_Save
  517.      Start_Num
  518.     AutoNum_Suffix_Save
  519.      Suffix
  520.     AutoNum_Inc_Num_Save
  521.      Inc_Num
  522.     AutoNum_Index_Sort_Save
  523.      Index_Sort
  524.     AutoNum_Judge_Replace_Save
  525.      Judge_Replace
  526.     AutoNum_Pt_Screen_Save
  527.      Pt_Screen
  528.     AutoNum_Txt_Height_Save
  529.      Txt_Height
  530.   )
  531.   (&End)
  532.   (Princ)
  533. )
  534. (princ "\n'自动序号',命令:AutoNum, Copyright 2006, By JieGa.")



  1. AutoNum : dialog {
  2.      label = "自动序号 Copyright 2006, JieGa. ";
  3.     initial_focus = "Prefix";
  4.     :row{
  5.         : boxed_column {
  6.         label = "初始设置";
  7.             fixed_width = true;
  8.                 : edit_box {
  9.                     label = "前    缀";
  10.                     key = "Prefix";
  11.                     edit_width=5;
  12.                        }
  13.                 : edit_box {
  14.                     label = "起始编号";
  15.                     key = "Start_No";
  16.                     edit_width=5;
  17.                        }
  18.                 : edit_box {
  19.                     label = "后    缀";
  20.                     key = "Suffix";
  21.                     edit_width=5;
  22.                        }
  23.             }
  24.          
  25.         : boxed_column {
  26.             label = "控制参数";
  27.                 : edit_box {
  28.                 label = "序号增量";
  29.                     key = "Inc";
  30.                     edit_width=10;
  31.                        }
  32.                 : popup_list {
  33.                     label = "排序方式";
  34.                     key = "Sort_Type";
  35.                     width = 9;
  36.                     }
  37.         : toggle {
  38.             label = "替代原文字";
  39.             key = "Replace";
  40.             value = 0;
  41.             }
  42.             }
  43.             }
  44.         :row{     
  45.         :boxed_radio_column{
  46.         label="操作方式";
  47.             :radio_button{
  48.             label="编辑模式        ";
  49.             key="Edit_Mode";
  50.             value=1;
  51.             }
  52.             :radio_button{
  53.             label="书写模式        ";
  54.             key="Write_Mode";
  55.             value=0;
  56.             }
  57.             }
  58.         : boxed_column {
  59.             label = "文字参数";
  60.             : edit_box {
  61.             label = "文字高度";
  62.             key = "Height";
  63.             edit_width=10;
  64.                }
  65.             : popup_list {
  66.             label = "文字样式";
  67.             key = "Style";
  68.             edit_width=9;
  69.             }
  70.             }
  71.             }
  72.             spacer_1;
  73.             
  74.         :row {
  75.              :spacer { width = 1;}
  76.              :button {
  77.                label       = "确  定";
  78.                key         = "accept";
  79.                width       = 5;
  80.                fixed_width = true;
  81.              }
  82.              :spacer { width = 1;}
  83.              :button {
  84.                label       = "退  出";
  85.                is_cancel   = true;
  86.                key         = "cancel";
  87.                width       = 5;
  88.                fixed_width = true;
  89.              }
  90.               
  91.              :spacer { width = 1;}
  92.            }
  93.         }


本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有账号?注册

x
"觉得好,就打赏"
还没有人打赏,支持一下

本帖被以下淘专辑推荐:

发表于 2010-8-29 13:06:00 | 显示全部楼层
麻烦,整个完整的出来吧。
回复 支持 1 反对 0

使用道具 举报

发表于 2024-4-9 07:57:14 | 显示全部楼层
本帖最后由 fangmin723 于 2024-4-9 12:12 编辑

整合lsp和dcl
支持一下上推荐


书写模式下,文字跟随光标移动代码如下,如有需要,自行替换:
  1. ;;书写模式
  2. (if  (= edit_type 2)
  3.   (progn
  4.     (setq i -1 pt (cadr (grread T 15 0)))
  5.     (while pt
  6.       (setq txt_num (itoa (+ (atoi start_num) (* (setq i (1+ i)) (atoi inc_num)))))
  7.       (if (= start_num "") (setq txt_num ""))
  8.       (setq txt_new (strcat prefix txt_num suffix))
  9.       (setq ent (entmakex (list '(0 . "TEXT") (cons 1 txt_new) (cons 7 txt_style) (cons 40 (atof txt_height)) (cons 10 pt) (cons 11 pt) '(71 . 0) '(72 . 4)))
  10.         tdata (entget ent)
  11.       )
  12.       (while (and (setq gr (grread T 15 0)) (or (= (car gr) 5) (= (car gr) 2) (= (car gr) 11) (= (car gr) 25)))
  13.         (if (= (car gr) 5)
  14.           (progn
  15.             (setq pt (cadr gr))
  16.             (setq tdata (subst (cons 10 pt) (assoc 10 tdata) tdata) tdata (subst (cons 11 pt) (assoc 11 tdata) tdata))
  17.             (entmod tdata)
  18.           )
  19.           (progn (entdel ent) (setq pt nil))
  20.         )
  21.       )
  22.     )
  23.   )
  24. )


本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有账号?注册

x
发表于 2024-4-9 11:35:27 | 显示全部楼层
fangmin723 发表于 2024-4-9 07:57
整合lsp和dcl
支持一下上推荐

程序有BUG,书写模式,选用的文字样式的文字高度必须设置为0才行,否则标出来全是倾斜的0,求助修改!
发表于 2010-8-21 00:26:00 | 显示全部楼层

真可惜了。这么强大的序号程序不能用也没有高手帮忙修正。唉浪费了

发表于 2010-8-21 13:28:00 | 显示全部楼层
楼主不是演示了吗?
发表于 2010-8-21 13:32:00 | 显示全部楼层
我在2008里试了一下,不能用,遗憾。
发表于 2010-8-21 14:23:00 | 显示全部楼层

程序代码超繁琐,估计修改起来费劲。

 

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有账号?注册

x
发表于 2010-8-24 12:55:00 | 显示全部楼层
还是没有人修改一下啊,可惜了这么好的程序了
发表于 2010-8-26 16:21:00 | 显示全部楼层
再顶
发表于 2010-8-26 20:19:00 | 显示全部楼层
再顶
发表于 2010-8-26 20:58:00 | 显示全部楼层
再顶
xyp1964
发表于 2010-8-27 07:24:00 | 显示全部楼层
本帖最后由 作者 于 2010-9-18 12:07:42 编辑

DCL檔在1樓

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有账号?注册

x
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-25 19:25 , Processed in 0.318473 second(s), 30 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表